MongooseJS 4.5.5 发布,MongoDB 连接包 - 开源中国社区
MongooseJS 4.5.5 发布,MongoDB 连接包
oschina 2016年07月19日

MongooseJS 4.5.5 发布,MongoDB 连接包

oschina oschina 发布于2016年07月19日 收藏 4

MongooseJS 4.5.5 发布了,MongooseJS 是基于nodejs,使用javascript编程,连接mongodb数据库的软件包,使mongodb的文档数据模型变的优雅起来,方便对mongodb文档型数据库的连接和增删改查等常规数据操作。

改进日志如下:

    • fix(document): handle setting root to empty obj if minimize false #4337

    • fix: downgrade to mongodb 2.1.18 #4335 #4334 #4328 #4323

    • perf(types): remove defineProperty usage in documentarray #4333

    • fix(query): correctly pass model in .toConstructor() #4318

    • fix(services): avoid double-validating mixed types with update validators #4305

    • docs(middleware): add docs describing error handling middleware #4229

    • fix(types): throw correct error when invalidating doc array #3602

    下载地址:

    详情:https://github.com/Automattic/mongoose/blob/master/History.md

    本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
    转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
    本文标题:MongooseJS 4.5.5 发布,MongoDB 连接包
    分享
    评论(2)
    最新评论
    0
    之前写的课程,没事的可以看看怎么用在线试试。
    http://www.hubwiz.com/course/543b2e7788dba02718b5a4bd/
    0
    它的东西还是挺好用的。
    顶部